curl --request POST \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"Subscription\", \"id\": \"Subscription_1656390361\", \"vid\": \"7f2780253c82b44bc4bea1a57beb3dd5752594e6\", \"created\": \"2022-06-28T11:26:01+00:00\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1656390361\", \"vid\": \"b57fe1e3d5e1d4113d29116e98796caad0d7d012\", \"created\": \"2022-06-28T11:26:01+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"c11e8954ee49e49e2dd5077784abd7c53868eeac\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1656390361\", \"vid\": \"2fe3ba0280fa8ee46d465ee2161d6106d35d6b1d\", \"created\": \"2022-06-28T11:26:01+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"f4cf28a23511cc95049b157d02f009eff6c1cc85\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"659eb3dd3c6131d74258c4f8a1117eca847da918\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, \"billing_plan\": { \"object\": \"BillingPlan\", \"id\": \"plan_496968\", \"vid\": \"ef5319596fa5c1da8eb98e33f269463bf49b44c8\", \"created\": \"2022-06-07T14:33:40+00:00\", \"description\": \"Simple Monthly Plan with Trial\", \"status\": \"Active\", \"trial\": { \"object\": \"BillingPlanPeriod\", \"type\": \"Day\", \"quantity\": 7, \"cycles\": 1, \"prices\": { \"object\": \"List\", \"data\": [ { \"object\": \"BillingPlanPrice\", \"amount\": 0, \"currency\": \"USD\" } ], \"total_count\": 1 }, \"do_not_notify_first_bill\": false }, \"periods\": { \"object\": \"List\", \"data\": [ { \"object\": \"BillingPlanPeriod\", \"type\": \"Month\", \"quantity\": 1, \"cycles\": 1, \"prices\": { \"object\": \"List\", \"data\": [ { \"object\": \"BillingPlanPrice\", \"amount\": 49.99, \"currency\": \"USD\" } ], \"total_count\": 1 } } ], \"total_count\": 1 }, \"skip_initial_billing_notification\": false, \"metadata\": { \"plan info\": \"trial billing plan\" }, \"entitlements\": { \"object\": \"List\", \"data\": [ { \"object\": \"Entitlement\", \"id\": \"ent_p1235\", \"description\": \"Access to ent_p1235\" } ], \"total_count\": 1 }, \"times_to_run\": \"1\", \"used_on_subscriptions\": true }, \"payment_method\": { \"object\": \"PaymentMethod\", \"id\": \"CC_1656390361\", \"vid\": \"2fe3ba0280fa8ee46d465ee2161d6106d35d6b1d\", \"created\": \"2022-06-28T11:26:01+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"f4cf28a23511cc95049b157d02f009eff6c1cc85\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"659eb3dd3c6131d74258c4f8a1117eca847da918\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true }, \"currency\": \"USD\", \"description\": \"pause_dev_1\", \"status\": \"Pending Pause\", \"billing_state\": \"Pending Pause\", \"starts\": \"2022-06-28T11:26:01+00:00\", \"ends\": \"2022-07-04T07:00:00+00:00\", \"entitled_through\": \"2022-07-04T07:00:00+00:00\", \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"SubscriptionItem\", \"id\": \"Item_1656390361\", \"vid\": \"a9e321098a373d9dbab5d155781189ee6c01658b\", \"index\": 0, \"product\": { \"object\": \"Product\", \"id\": \"BOOTCAMP_INDIA\", \"vid\": \"b7837827b2111559c9edce1b756ca64dc0d26fbc\", \"created\": \"2022-06-07T14:40:18+00:00\", \"status\": \"Active\" }, \"quantity\": 1, \"created\": \"2022-06-28T11:26:01+00:00\", \"starts\": \"2022-06-28T07:00:00+00:00\", \"discount_tickets\": { \"object\": \"List\", \"data\": [], \"total_count\": 0 } } ], \"total_count\": 1 }, \"billing_day\": 4, \"minimum_commitment\": 0, \"affiliate\": \"TELECOM CHANNEL\", \"sub_affiliate\": \"AIRTEL\", \"notify_on_transition\": true, \"statement_format\": \"Attachment\", \"statement_template\": \"Ind-Invoice-new\", \"balance\": 0, \"pause_history\": { \"object\": \"List\", \"data\": [ { \"object\": \"SubscriptionPause\", \"start_date\": \"2022-07-04T07:00:00+00:00\", \"start_cycle\": 1 } ], \"total_count\": 1 } }""{ \"object\": \"Error\", \"message\": \"JSON is invalid\" }"{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Pause a Subscription
Pause billing for an existing Subscription at the beginning of the next billing cycle (default) or immediately with an optional reason for the pause. If no other action is taken upon the Subscription, it will remain paused for 5 years, and then cancel.
Subscription Pause revokes entitlements on the effective date of the pause. When pausing a Subscription effective immediately, entitlements are revoked immediately but a prorated refund for time remaining in a current service period is not automatically issued. Merchants can choose to separately calculate (manually) and issue a refund (via API or Portal) in cases where immediate pause is desired.
Note:
- Only Active/Good Standing subscriptions can be paused.
- Paused subscriptions can only be Resumed or Cancelled.
- A pause_history list of Subscription Pause objects will be added to the Subscription object for each pause and resume activity on a Subscription.
- Subscriptions paused immediately are paused without refund and will return “Paused” as both status and billing_state.
- Subscriptions paused at the beginning of the next billing cycle will return “Pending Pause” as both status and billing_state until the end of the current billing cycle. At the beginning of the next billing cycle, the Subscription will automatically move from “Pending Pause” to “Paused” status and billing_state.
- On the effective date of the pause, a Subscriptions Paused Push Notification is triggered if the Merchant is subscribed to that ‘autobills’ push class and ‘pause’ event.
- Entitlements granted from the BillingPlan (or any active Product of the Subscription) are stopped on the effective date of the pause, and Entitlements Stopped Push Notifications are triggered if the Merchant is subscribed to the ‘entitlement’ push class and the ‘stop’ push event.
Reason Codes
Subscribe provides the following default reason codes.
| Code | Description |
|---|---|
| 600 | Vacation Hold |
| 601 | Seasonal Hold |
| 602 | Medical Hold |
| 603 | Life Event |
| 604 | Financial Reasons |
Note: Merchant-specific reason codes can be implemented through Subscribe Delivery or Support Teams.
curl --request POST \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/actions/pause")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"Subscription\", \"id\": \"Subscription_1656390361\", \"vid\": \"7f2780253c82b44bc4bea1a57beb3dd5752594e6\", \"created\": \"2022-06-28T11:26:01+00:00\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1656390361\", \"vid\": \"b57fe1e3d5e1d4113d29116e98796caad0d7d012\", \"created\": \"2022-06-28T11:26:01+00:00\", \"default_currency\": \"USD\", \"email\": \"dpatel@vindicia.com\", \"email_type\": \"html\", \"language\": \"EN\", \"notify_before_billing\": true, \"name\": \"Donovan United\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"c11e8954ee49e49e2dd5077784abd7c53868eeac\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"id\": \"CC_1656390361\", \"vid\": \"2fe3ba0280fa8ee46d465ee2161d6106d35d6b1d\", \"created\": \"2022-06-28T11:26:01+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"f4cf28a23511cc95049b157d02f009eff6c1cc85\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"659eb3dd3c6131d74258c4f8a1117eca847da918\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true } ], \"total_count\": 1 } }, \"billing_plan\": { \"object\": \"BillingPlan\", \"id\": \"plan_496968\", \"vid\": \"ef5319596fa5c1da8eb98e33f269463bf49b44c8\", \"created\": \"2022-06-07T14:33:40+00:00\", \"description\": \"Simple Monthly Plan with Trial\", \"status\": \"Active\", \"trial\": { \"object\": \"BillingPlanPeriod\", \"type\": \"Day\", \"quantity\": 7, \"cycles\": 1, \"prices\": { \"object\": \"List\", \"data\": [ { \"object\": \"BillingPlanPrice\", \"amount\": 0, \"currency\": \"USD\" } ], \"total_count\": 1 }, \"do_not_notify_first_bill\": false }, \"periods\": { \"object\": \"List\", \"data\": [ { \"object\": \"BillingPlanPeriod\", \"type\": \"Month\", \"quantity\": 1, \"cycles\": 1, \"prices\": { \"object\": \"List\", \"data\": [ { \"object\": \"BillingPlanPrice\", \"amount\": 49.99, \"currency\": \"USD\" } ], \"total_count\": 1 } } ], \"total_count\": 1 }, \"skip_initial_billing_notification\": false, \"metadata\": { \"plan info\": \"trial billing plan\" }, \"entitlements\": { \"object\": \"List\", \"data\": [ { \"object\": \"Entitlement\", \"id\": \"ent_p1235\", \"description\": \"Access to ent_p1235\" } ], \"total_count\": 1 }, \"times_to_run\": \"1\", \"used_on_subscriptions\": true }, \"payment_method\": { \"object\": \"PaymentMethod\", \"id\": \"CC_1656390361\", \"vid\": \"2fe3ba0280fa8ee46d465ee2161d6106d35d6b1d\", \"created\": \"2022-06-28T11:26:01+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"f4cf28a23511cc95049b157d02f009eff6c1cc85\", \"account\": \"512345XXXXXX2346\", \"bin\": \"512345\", \"last_digits\": \"2346\", \"account_length\": 16, \"expiration_date\": \"202205\", \"last_au_request_date\": null, \"last_update_date\": null }, \"account_holder\": \"Donovan United\", \"billing_address\": { \"object\": \"Address\", \"vid\": \"659eb3dd3c6131d74258c4f8a1117eca847da918\", \"name\": \"Donovan United\", \"line1\": \"18649 High Street\", \"city\": \"Mumbai\", \"district\": \"MH\", \"postal_code\": \"411017\", \"country\": \"IN\" }, \"customer_description\": \"Credit Card\", \"primary\": true, \"active\": true }, \"currency\": \"USD\", \"description\": \"pause_dev_1\", \"status\": \"Pending Pause\", \"billing_state\": \"Pending Pause\", \"starts\": \"2022-06-28T11:26:01+00:00\", \"ends\": \"2022-07-04T07:00:00+00:00\", \"entitled_through\": \"2022-07-04T07:00:00+00:00\", \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"SubscriptionItem\", \"id\": \"Item_1656390361\", \"vid\": \"a9e321098a373d9dbab5d155781189ee6c01658b\", \"index\": 0, \"product\": { \"object\": \"Product\", \"id\": \"BOOTCAMP_INDIA\", \"vid\": \"b7837827b2111559c9edce1b756ca64dc0d26fbc\", \"created\": \"2022-06-07T14:40:18+00:00\", \"status\": \"Active\" }, \"quantity\": 1, \"created\": \"2022-06-28T11:26:01+00:00\", \"starts\": \"2022-06-28T07:00:00+00:00\", \"discount_tickets\": { \"object\": \"List\", \"data\": [], \"total_count\": 0 } } ], \"total_count\": 1 }, \"billing_day\": 4, \"minimum_commitment\": 0, \"affiliate\": \"TELECOM CHANNEL\", \"sub_affiliate\": \"AIRTEL\", \"notify_on_transition\": true, \"statement_format\": \"Attachment\", \"statement_template\": \"Ind-Invoice-new\", \"balance\": 0, \"pause_history\": { \"object\": \"List\", \"data\": [ { \"object\": \"SubscriptionPause\", \"start_date\": \"2022-07-04T07:00:00+00:00\", \"start_cycle\": 1 } ], \"total_count\": 1 } }""{ \"object\": \"Error\", \"message\": \"JSON is invalid\" }"{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id or the vid of the Subscription to pause. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Query Parameters
Billing date at which the pause will take effect; either today or nextBill.
The predefined reason code for pausing the Subscription. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Response
JSON A full Subscription object.
Value is "Subscription".
Subscription A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128The Account represents a merchant’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in CashBox for billing. Read More in our User Guide
An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide.
An Account owns the “on file” payment methods to be used by it in billing.
Show child attributes
Show child attributes
The status of the subscription from a service and entitlement perspective.
Pending Activation, Active, Pending Cancel, Cancelled, Expired, Processing, Deleted, Dryrun, Unknown, Upgraded, Legacy Suspended, Bogus AutoBill Status The product-based line items for the subscription.
Show child attributes
Show child attributes
A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.
128The date/time at which the subscription was requested.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The financial state of the subscription.
Free/Trial, Billing Completed, Failed To Collect, Free Period, Bogus BillingState The date/time the subscription starts service.
The date/time the subscription ends service.
The date/time to which the subscription will entitle service if no further payments are made – a “paid thru” date based on billing schedule and grace period.
Optional source IP Address at sign-up.
Optional “soft descriptor” to send to the payment processor for transactions from this subscription.
The day of the month on which the subscription is (typically) billed. Often called an “anniversary date.”
Number of billing cycles customer is obligated to maintain the subscription. Cancelling before this time requires CSP to “force” cancellation.
Affiliate or channel identifier, if any, under which the subscription was submitted.
A more granular or subordinate affiliate identifier.
Indicates whether to send an expiration or trial-end email notification using the days-in-advance configuration in the Billing Plan.
The Transaction object provides a way to charge a customer. You can create one-time transactions, retrieve individual transactions, fetch individual transactions, and list all Transactions for a given account or subscription. Posting with a new Transaction creates a new one-time Transaction object. If “to_be_captured” is false, the request will trigger an authorization attempt (based on the provided payment method’s authorization process). If successfully authorized, a subsequent post to the transaction’s actions/capture endpoint will capture the authorized transaction. If you post a new transaction with “to_be_captured” true, it will authorize and immediately capture the transaction if successful. To refund transactions, use the refunds endpoint.
Show child attributes
Show child attributes
A list of any refunds associated with the Transaction in most_recent_billing.
Show child attributes
Show child attributes
The Transaction object provides a way to charge a customer. You can create one-time transactions, retrieve individual transactions, fetch individual transactions, and list all Transactions for a given account or subscription. Posting with a new Transaction creates a new one-time Transaction object. If “to_be_captured” is false, the request will trigger an authorization attempt (based on the provided payment method’s authorization process). If successfully authorized, a subsequent post to the transaction’s actions/capture endpoint will capture the authorized transaction. If you post a new transaction with “to_be_captured” true, it will authorize and immediately capture the transaction if successful. To refund transactions, use the refunds endpoint.
Show child attributes
Show child attributes
A set of key/value pairs that you can attach to an object. Useful for storing additional information. Subscription metadata will be inherited by resulting transactions.
The Credit object represents a service credit granted to an account or subscription, taking the form of either currency, token, or time amounts.
Show child attributes
Show child attributes
Instructions for if/how to include the invoice statement for this subscription. Values can be Attachment, DoNotSend,Inline
Attachment, DoNotSend, Inline Net Terms (in days); after this many days from a billing, the invoice will be considered delinquent.
Days before scheduled billing to deliver the statement.
Template to use for statement generation.
The Campaign code redeemed on this AutoBill against the price of the Billing Plan. To apply a Campaign, use this field to pass in a valid Coupon or Promotion code. Note This data member will not be returned. Only supported for Single Discount.
The unique identifier for a Campaign applied to this AutoBill’s BillingPlan. This is a read-only field returned by Vindicia for informational purposes. Values sent in with a SOAP call will be ignored. Read only. Only supported for Single Discount.
Used to create a Subscription Pending Activation.
The mandates object represents the end-custom approval for a one-time or recurring billing using their provided bank account details. A common requirement for UK and SEPA direct debit payment methods.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The policy object governing Subscription behavior.
Show child attributes
Show child attributes
Only supported for Stackable Discounts.
Show child attributes
Show child attributes

